﻿CREATE TABLE `domains` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(45) DEFAULT NULL,
  `domain` varchar(45) DEFAULT NULL,
  `records` int(11) DEFAULT NULL,
  `state` int(11) DEFAULT NULL,
  `grade` int(11) DEFAULT '0',
  `created_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET = utf8;

CREATE TABLE `netmarks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `notename` varchar(45) DEFAULT NULL,
  `netmark` varchar(45) DEFAULT NULL,
  `grade` int(11) DEFAULT NULL,
  `state` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET = utf8;

CREATE TABLE `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(45) DEFAULT NULL,
  `password` varchar(45) DEFAULT NULL,
  `realname` varchar(45) DEFAULT NULL,
  `email` varchar(128) DEFAULT NULL,
  `homepage` varchar(128) DEFAULT NULL,
  `idinfo` varchar(128) DEFAULT NULL,
  `status` varchar(45) DEFAULT NULL,
  `grade` int(11) DEFAULT NULL,
  `userlevel` int(11) DEFAULT '1',
  `domains` int(11) DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET = utf8;

CREATE TABLE `messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(45) DEFAULT NULL,
  `from` varchar(45) DEFAULT NULL,
  `title` varchar(45) DEFAULT NULL,
  `subtype` varchar(45) DEFAULT NULL,
  `content` text,
  `level` int(11) DEFAULT NULL,
  `date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARACTER SET = utf8;

CREATE TABLE `config` (
  `key` varchar(45) DEFAULT NULL,
  `value` varchar(128) DEFAULT NULL
) DEFAULT CHARACTER SET = utf8;

CREATE  TABLE `zone`.`finance` (
  `id` INT NOT NULL AUTO_INCREMENT ,
  `username` VARCHAR(45) NULL ,
  `balance` DOUBLE NULL ,
  `spending` DOUBLE NULL ,
  PRIMARY KEY (`id`) )
DEFAULT CHARACTER SET = utf8;


INSERT INTO `netmarks` VALUES (1,'默认','default','1','1'),(2,'电信','ctc','1','1'),(3,'联通','cnc','1','1'),(4,'铁通','crc','1','1'),(5,'移动','cmc','1','1'),(6,'教育网','edu','1','1');