﻿<%@ page title="域名记录管理 - 曲奇智能DNS解析系统（CookyDNS）" language="C#" masterpagefile="~/templates/v1masterpage.master" autoeventwireup="true" inherits="dns_records, App_Web_vejjm0st" %>

<%@ Import Namespace="Silmoon.DNS.ControlCore" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <div style="margin: 5px;">
        <h1 class="page_title">
            记录管理</h1>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <a style="float: left" href="domains.aspx" class="abutton">返回域名列表</a><div style="float: left">
            <asp:Menu ID="ctlRecordMenu" runat="server" StaticEnableDefaultPopOutImage="False"
                CssClass="abutton" ForeColor="White" StaticSubMenuIndent="16px">
                <DynamicHoverStyle />
                <DynamicMenuItemStyle Font-Bold="True" Height="24px" />
                <DynamicMenuStyle BackColor="Black" />
                <Items>
                    <asp:MenuItem NavigateUrl="~/dns/record.aspx" Text="添加记录" Value="添加记录" Target="_blank">
                        <asp:MenuItem NavigateUrl="~/dns/record.aspx" Text="添加普通记录" Value="添加普通记录" Target="_blank">
                        </asp:MenuItem>
                        <asp:MenuItem NavigateUrl="~/dns/mxrecord.aspx" Text="添加MX记录" Value="添加MX记录" Target="_blank">
                        </asp:MenuItem>
                        <asp:MenuItem NavigateUrl="~/dns/soarecord.aspx" Text="添加SoA记录" Value="添加SoA记录" Target="_blank">
                        </asp:MenuItem>
                        <asp:MenuItem NavigateUrl="~/dns/urlrecord.aspx" Target="_blank" Text="添加Url记录" Value="添加Url记录">
                        </asp:MenuItem>
                        <asp:MenuItem NavigateUrl="javascript:void(0);" Text="--------------" Value="--------------"
                            Enabled="False"></asp:MenuItem>
                        <asp:MenuItem NavigateUrl="~/dns/record.aspx?host=$hijack&amp;paramsters=lockhosttextbox:true"
                            Text="添加劫持记录" Value="添加劫持记录" Target="_blank"></asp:MenuItem>
                    </asp:MenuItem>
                </Items>
            </asp:Menu>
        </div>
        <a href="domain.aspx?domain=<%=Request.QueryString["domain"] %>" class="abutton"
            target="_blank">域名选项</a>&nbsp; 域名：<asp:Label ID="ctlDomainLabel" runat="server" Text="Label"></asp:Label>(<asp:Label
                ID="ctlDomainGradeLabel" runat="server" Text="Label"></asp:Label>)
        <asp:Label ID="ctlStatusLabel" runat="server" Text="Label" Font-Bold="True"></asp:Label>
        &nbsp; 所属人：<asp:Label ID="ctlOwnerLabel" runat="server" Text="Label"></asp:Label>
        <br />
        <div style="float: left">
            &nbsp;
        </div>
        <div style="text-align: right; float: right">
            <asp:UpdateProgress ID="UpdateProgress1" runat="server" DisplayAfter="0">
                <ProgressTemplate>
                    <img alt="" src="../Images/Texture/animated_loader.gif" />
                </ProgressTemplate>
            </asp:UpdateProgress>
        </div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <asp:Repeater ID="Repeater1" runat="server" OnItemCommand="Repeater1_ItemCommand"
                    OnItemDataBound="Repeater1_ItemDataBound">
                    <HeaderTemplate>
                        <table width="100%" style="table-layout: fixed;">
                            <tr bgcolor="#EEEEEE">
                                <td width="auto" height="30px" style="word-break: break-all; word-wrap: break-word;">
                                    <div align="right" style="width: 90%;">
                                        <a href="?sort=host&domain=<%=domain %>" class="table_HeaderText">完整的名字</a></div>
                                </td>
                                <td width="51px" style="padding-left: 5px" align="center" align="center">
                                    <a href="?sort=type&domain=<%=domain %>" class="table_HeaderText">类型</a>
                                </td>
                                <td width="auto" style="word-break: break-all; word-wrap: normal; padding-left: 5px"
                                    align="center">
                                    <a href="?sort=value&domain=<%=domain %>" class="table_HeaderText">记录值</a>
                                </td>
                                <td width="48px" style="padding-left: 5px" align="center">
                                    <a href="?sort=netmark&domain=<%=domain
                        %>" class="table_HeaderText">线路</a>
                                </td>
                                <td width="50px" style="padding-left: 5px" align="center">
                                    <a href="?sort=ttl&domain=<%=domain %>" class="table_HeaderText">TTL</a>
                                </td>
                                <td width="<%=stateTDLen %>" style="padding-left: 5px" align="center">
                                    <a href="?sort=state&domain=<%=domain
                        %>" class="table_HeaderText">状态<asp:Label ID="ctlHeaderMonitorLabel" runat="server"
                            Text="/监控" Visible="false"></asp:Label></a>
                                </td>
                                <td style="padding-left: 3px; word-break: break-all; word-wrap: break-word;" width="138px"
                                    align="center" class="table_HeaderText">
                                    操作
                                </td>
                            </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr bgcolor="<%#DataBinder.Eval(Container.DataItem, "fullbackcolor") %>" onmouseover="this.style.backgroundColor = '#EEEEEE'"
                            onmouseout="this.style.backgroundColor = '<%#DataBinder.Eval(Container.DataItem, "fullbackcolor") %>'">
                            <td width="200px" height="25px" style="word-break: break-all; word-wrap: break-word;"
                                class="table_ItemText">
                                <div align="right" style="margin-right: 10px;">
                                    <asp:Label ID="ctlFQDNLabel" runat="server" Text=""></asp:Label></div>
                            </td>
                            <td align="center" class="table_ItemText">
                                <asp:Label ID="ctlTypeLabel" runat="server" Text="TYPE"></asp:Label>
                            </td>
                            <td style="word-break: break-all; word-wrap: normal;" align="right" class="table_ItemText">
                                <asp:Label ID="ctlValueLabel" runat="server" Text="<%#bind('value') %>"></asp:Label>
                            </td>
                            <td align="center" class="table_ItemText">
                                <asp:Label ID="ctlNetmarkNameLabel" runat="server" Text="<%#bind('netmark') %>"></asp:Label>
                            </td>
                            <td align="center" class="table_ItemText">
                                <asp:Label ID="Label5" runat="server" Text="<%#bind('ttl') %>"></asp:Label>
                            </td>
                            <td align="center" class="table_ItemText">
                                <asp:Label ID="ctlStateLabel" runat="server" Text="正常"></asp:Label>
                                <asp:Label ID="ctlMonitorLabel" runat="server" Text=""></asp:Label>
                            </td>
                            <td align="center" class="table_ItemText">
                                <a href="Record.aspx?_id=<%#DataBinder.Eval(Container.DataItem, "_id") %>&domain=<%=domain %>"
                                    target="_blank" style="width: 33px; padding-left: 0; padding-right: 0">修改</a>
                                <asp:LinkButton ID="ctlStateButton" runat="server" CommandName="deleteRecord" CommandArgument="<%#bind('_id') %>"
                                    OnClientClick="return confirm('确定?');" Style="width: 33px; padding-left: 0; padding-right: 0">禁用</asp:LinkButton>
                                <asp:LinkButton ID="ctlDeleteLinkButton" runat="server" CommandName="deleteRecord"
                                    CommandArgument="<%#bind('_id') %>" OnClientClick="return confirm('确定删除?');"
                                    Style="width: 33px; padding-left: 0; padding-right: 0" ForeColor="Red">删除</asp:LinkButton>
                                <asp:HyperLink ID="ctlMonitorHyperLink" runat="server" Text="监视" Target="_blank"
                                    Style="width: 33px; padding-left: 0; padding-right: 0">监视</asp:HyperLink>
                            </td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table>
                    </FooterTemplate>
                </asp:Repeater>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
</asp:Content>
