﻿<%@ page title="添加/修改监控器 - 曲奇智能DNS解析系统（CookyDNS）" language="C#" masterpagefile="~/templates/General_TemplatePage.master" autoeventwireup="true" inherits="monitor_recordmonitor, App_Web_qw20qip3" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <div style="margin: 10px">
        <table border="0" cellpadding="8" width="100%">
            <tr>
                <td colspan="2">
                    <h4>
                        监控功能（DNS记录指向的服务器状态监控和在线状况监视）</h4>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td style="width: 200px">
                    FQDN：
                </td>
                <td>
                    <asp:Label ID="ctlFQDNLabel" runat="server" Text="."></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    信息：
                </td>
                <td>
                    <asp:Label ID="ctlInfoLabel" runat="server" Text="A 类型的 默认 线路 -> 0.0.0.0"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;类型：
                </td>
                <td>
                    <asp:DropDownList ID="ctlTypeDropDownList" runat="server" Width="308px" CssClass="dropDownList"
                        AutoPostBack="True" OnSelectedIndexChanged="ctlTypeDropDownList_SelectedIndexChanged">
                    </asp:DropDownList>
                    &nbsp;<br />
                    <br />
                    如果只是为了检测网站是否挂掉，就选择<strong>网站访问</strong>，其他的不懂不要用，否则会出问题！
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;端口：
                </td>
                <td>
                    <asp:TextBox ID="ctlPortTextBox" runat="server" Width="300px" CssClass="textBox">80</asp:TextBox>
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;路径：
                </td>
                <td>
                    <asp:TextBox ID="ctlUrlPathTextBox" runat="server" Width="300px" CssClass="textBox"></asp:TextBox>
                    <br />
                    <br />
                    如果是网站访问，就只写上路径比如“/index.aspx?page=1”，如果是别的，看左边的提示！
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;检测的IP：
                </td>
                <td>
                    <asp:TextBox ID="ctlValueTextBox" runat="server" Width="300px" 
                        CssClass="textBox" Enabled="False"></asp:TextBox>
                    &nbsp;一般默认
                </td>
            </tr>
            <tr>
                <td>
                    备用的记录值：<br />
                    <div style="font-size: 12px">
                        (<span style="color: Red;">填写表示<b>启用</b>宕机切换</span>)<br />
                        (写法：标准的IP地址)</div>
                </td>
                <td>
                    <asp:TextBox ID="ctlBackValueTextBox" runat="server" Width="300px" CssClass="textBox"
                        Height="50px" TextMode="MultiLine" Enabled="False"></asp:TextBox>
                    &nbsp;*暂不可用
                </td>
            </tr>
            <tr>
                <td>
                    发送的数据：
                </td>
                <td>
                    <asp:TextBox ID="ctlSendDataTextBox" runat="server" Width="300px" CssClass="textBox"
                        Height="50px" TextMode="MultiLine"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    其他：
                </td>
                <td>
                    <asp:CheckBox ID="CheckBox1" runat="server" Text="邮件通知" Enabled="False" />
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    <asp:CheckBox ID="ctlStateCheckBox" runat="server" Checked="True" Text="启用这个监控" Enabled="False" />
                </td>
            </tr>
            <tr>
                <td>
                    &nbsp;
                </td>
                <td>
                    <asp:Button ID="ctlSubmitButton" runat="server" OnClick="ctlSubmitButton_Click" Text="提交"
                        CssClass="button" />
                    <asp:HiddenField ID="ctlHostHideField" runat="server" />
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
