﻿<%@ page title="域名管理 - 曲奇智能DNS解析系统（CookyDNS）" language="C#" masterpagefile="~/templates/v1masterpage.master" autoeventwireup="true" inherits="dns_domains, App_Web_vejjm0st" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <div style="margin: 5px;">
        <h1 class="page_title">
            域名列表</h1>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <a href="domain.aspx" target="_blank" class="abutton">添加域名</a><br />
        <div style="float: left">
            &nbsp;
        </div>
        <div style="text-align: right; float: right">
            <asp:UpdateProgress ID="UpdateProgress1" runat="server" DisplayAfter="0">
                <ProgressTemplate>
                    <img alt="" src="../Images/Texture/animated_loader.gif" />
                </ProgressTemplate>
            </asp:UpdateProgress>
        </div>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <asp:Repeater ID="Repeater1" runat="server" OnItemDataBound="Repeater1_ItemDataBound"
                    OnItemCommand="Repeater1_ItemCommand">
                    <HeaderTemplate>
                        <table width="100%">
                            <tr bgcolor="#EEEEEE">
                                <td width="100px" height="30px" style="word-break: keep-all; padding-left: 5px;"
                                    class="table_HeaderText">
                                    域名
                                </td>
                                <td width="80px" style="word-break: keep-all; padding-left: 5px;" class="table_HeaderText">
                                    记录数量
                                </td>
                                <td width="50px" style="word-break: keep-all; padding-left: 5px;" class="table_HeaderText">
                                    状态
                                </td>
                                <td width="50px" style="word-break: keep-all; padding-left: 5px;" class="table_HeaderText">
                                    等级
                                </td>
                                <td style="word-break: keep-all; padding-left: 5px;" class="table_HeaderText">
                                    操作
                                </td>
                            </tr>
                    </HeaderTemplate>
                    <ItemTemplate>
                        <tr onmouseover="this.style.backgroundColor = '#EEEEEE'" onmouseout="this.style.backgroundColor = '#FFF'">
                            <td height="25px" style="word-break: keep-all;" class="table_ItemText">
                                <asp:Label ID="ctlDomainLabel" runat="server"></asp:Label>
                            </td>
                            <td style="word-break: keep-all;" class="table_ItemText">
                                <asp:Label ID="Label2" runat="server" Text="<%#bind('records') %>"></asp:Label>
                            </td>
                            <td style="word-break: keep-all;" class="table_ItemText">
                                <asp:Label ID="ctlStateLabel" runat="server" Text="<%#bind('state') %>"></asp:Label>
                            </td>
                            <td style="word-break: keep-all;" class="table_ItemText">
                                <asp:Label ID="ctlGradeLabel" runat="server" Text="<%#bind('grade') %>"></asp:Label>
                            </td>
                            <td style="word-break: keep-all;" class="table_ItemText">
                                <a href="records.aspx?domain=<%#DataBinder.Eval(Container.DataItem, "domain") %>">记录</a>
                                <asp:LinkButton ID="ctlChangStateLinkButton" runat="server" Text="禁用">启用</asp:LinkButton>
                                <asp:LinkButton ID="ctlDeleteDomainLabel" CommandArgument="<%#bind('domain') %>"
                                    CommandName="deletedomain" runat="server" OnClientClick="return confirm('确定删除这个域名吗？');"
                                    ForeColor="Red">删除</asp:LinkButton>
                                <a href="domain.aspx?domain=<%#DataBinder.Eval(Container.DataItem, "domain") %>"
                                    target="_blank">选项</a>
                            </td>
                        </tr>
                    </ItemTemplate>
                    <FooterTemplate>
                        </table></FooterTemplate>
                </asp:Repeater>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
</asp:Content>
