﻿<%@ page title="用户注册 - 曲奇智能DNS解析系统（CookyDNS）" language="C#" masterpagefile="~/templates/v1masterpage.master" autoeventwireup="true" inherits="user_signup, App_Web_mwt53ryb" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <table border="0" cellpadding="8" width="90%">
        <tr>
            <td colspan="2">
            <h1 class="page_title">
                    用户注册</h1>
            </td>
        </tr>
        <tr>
            <td nowrap="nowrap">
                用户名<span class="Red">*</span>
            </td>
            <td>
                <asp:TextBox ID="ctlUsernameTextBox" runat="server" Width="300px" 
                    CssClass="textBox"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                密码<span class="Red">*</span>
            </td>
            <td>
                <asp:TextBox ID="ctlPasswordTextBox" runat="server" Width="300px" 
                    TextMode="Password" CssClass="textBox"></asp:TextBox>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td>
                确认密码<span class="Red">*</span>
            </td>
            <td>
                <asp:TextBox ID="ctlRepasswordTextBox" runat="server" Width="300px" 
                    TextMode="Password" CssClass="textBox"></asp:TextBox>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td>
                名字
            </td>
            <td>
                <asp:TextBox ID="ctlRealnameTextBox" runat="server" Width="300px" 
                    CssClass="textBox"></asp:TextBox>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td>
                电子邮件<span class="Red">*</span>
            </td>
            <td>
                <asp:TextBox ID="ctlEmailTextBox" runat="server" Width="300px" 
                    CssClass="textBox"></asp:TextBox>
                &nbsp;
            </td>
        </tr>
        <tr>
            <td>
                个人网站</td>
            <td>
                <asp:TextBox ID="ctlHomePageTextBox" runat="server" Width="300px" 
                    CssClass="textBox"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                IDCard
            </td>
            <td>
                <asp:TextBox ID="ctlIDInfoTextBox" runat="server" Width="300px" 
                    CssClass="textBox"></asp:TextBox>
                &nbsp;（身份证ID号、社会保障号(或既保险号RRN)或护照号）
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <p>
                    我同意因CookyDNS网站和CookyDNS服务中断造成的损失<b>不向</b>CookyDNS提起任何数量和任何方式的指控、诉讼和赔偿要求。<br />
                    <asp:RadioButtonList ID="ctlConfirm1RadioButtonList" runat="server" 
                        RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">是</asp:ListItem>
                        <asp:ListItem Value="0">否</asp:ListItem>
                    </asp:RadioButtonList>
                </p>
                <p>
                    互联网是全世界的行为，我保证不使用CookyDNS账户从事全世界所有主权国家所有法规规定的非法活动。<br />
                    <asp:RadioButtonList ID="ctlConfirm2RadioButtonList" runat="server" 
                        RepeatDirection="Horizontal">
                        <asp:ListItem Value="1">是</asp:ListItem>
                        <asp:ListItem Value="0">否</asp:ListItem>
                    </asp:RadioButtonList>
                </p>
            </td>
        </tr>
        <tr>
            <td>
                请填写
            </td>
            <td valign="middle">
                <img src="" width="48" height="19" id="validateCodeImg" alt="validate code" onclick="return refreshValidateCode()" />
                -&gt;
                <asp:TextBox ID="ctlValidateCodeTextBox" runat="server" Width="229px" 
                    CssClass="textBox"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Button ID="ctlSubmitButton" runat="server" onclick="ctlSubmitButton_Click" 
                    Text="提交注册" CssClass="button blue_button" />
&nbsp;</td>
        </tr>
    </table>
    <script type="text/javascript">
        function refreshValidateCode() {
            get('validateCodeImg').src = '../verificationcode.ashx?' + Math.random();
        }
        refreshValidateCode();
    </script>
</asp:Content>
